docker-compose-1.13.0-2.mga6.noarch.rpm


Advertisement

Description

docker-compose - Multi-container orchestration for Docker

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename docker-compose-1.13.0-2.mga6.noarch.rpm
Package name docker-compose
Package version 1.13.0
Package release 2.mga6
Package architecture noarch
Package type rpm
Category System/Configuration
Homepage https://www.docker.com/
License ASL 2.0
Maintainer -
Download size 157.38 KB
Installed size 665.33 KB
Multi-container orchestration for Docker
Docker-compose allows you to:
- Define your application's environment with Docker so it can be reproduced
anywhere.
- Define the services that make up your app so they can be run together in an
isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your entire
app.

Alternatives

Package Version Architecture Repository
docker-compose-1.14.0-1.mga6.noarch.rpm 1.14.0 noarch Mageia Core Updates
docker-compose-1.14.0-1.mga6.noarch.rpm 1.14.0 noarch Mageia Core Updates
docker-compose-1.13.0-2.mga6.noarch.rpm 1.13.0 noarch Mageia Core
docker-compose - - -

Requires

Name Value
PyYAML -
python(abi) == 2.7
python-cached-property -
python-docker -
python-dockerpty -
python-docopt -
python-jsonschema -
python-requests -
python-setuptools -
python-six -
python-texttable -
python-websocket-client -
pythonegg(2)(backports.ssl-match-hostname) >= 3.5
pythonegg(2)(cached-property) >= 1.2.0
pythonegg(2)(cached-property) < 2
pythonegg(2)(colorama) >= 0.3.7
pythonegg(2)(colorama) < 0.4
pythonegg(2)(docker) >= 2.2.1
pythonegg(2)(docker) < 3.0
pythonegg(2)(dockerpty) >= 0.4.1
pythonegg(2)(dockerpty) < 0.5
pythonegg(2)(docopt) >= 0.6.1
pythonegg(2)(docopt) < 0.7
pythonegg(2)(enum34) >= 1.0.4
pythonegg(2)(enum34) < 2
pythonegg(2)(ipaddress) >= 1.0.16
pythonegg(2)(jsonschema) >= 2.5.1
pythonegg(2)(jsonschema) < 3
pythonegg(2)(pyyaml) < 4
pythonegg(2)(pyyaml) >= 3.10
pythonegg(2)(requests) < 2.12
pythonegg(2)(requests) >= 2.6.1
pythonegg(2)(six) >= 1.3.0
pythonegg(2)(six) < 2
pythonegg(2)(texttable) >= 0.8.1
pythonegg(2)(texttable) < 0.9
pythonegg(2)(websocket-client) < 1.0
pythonegg(2)(websocket-client) >= 0.32.0

Provides

Name Value
docker-compose == 1.13.0-2.mga6
fig == 1.13.0-2.mga6
pythonegg(2)(docker-compose) == 1.13.0

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package docker-compose-1.13.0-2.mga6.noarch.rpm
Source Package docker-compose-1.13.0-2.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install docker-compose rpm package:
    # urpmi docker-compose

Files

Path
/usr/bin/docker-compose
/usr/lib/python2.7/site-packages/compose/__init__.py
/usr/lib/python2.7/site-packages/compose/__init__.pyc
/usr/lib/python2.7/site-packages/compose/__init__.pyo
/usr/lib/python2.7/site-packages/compose/__main__.py
/usr/lib/python2.7/site-packages/compose/__main__.pyc
/usr/lib/python2.7/site-packages/compose/__main__.pyo
/usr/lib/python2.7/site-packages/compose/bundle.py
/usr/lib/python2.7/site-packages/compose/bundle.pyc
/usr/lib/python2.7/site-packages/compose/bundle.pyo
/usr/lib/python2.7/site-packages/compose/const.py
/usr/lib/python2.7/site-packages/compose/const.pyc
/usr/lib/python2.7/site-packages/compose/const.pyo
/usr/lib/python2.7/site-packages/compose/container.py
/usr/lib/python2.7/site-packages/compose/container.pyc
/usr/lib/python2.7/site-packages/compose/container.pyo
/usr/lib/python2.7/site-packages/compose/errors.py
/usr/lib/python2.7/site-packages/compose/errors.pyc
/usr/lib/python2.7/site-packages/compose/errors.pyo
/usr/lib/python2.7/site-packages/compose/network.py
/usr/lib/python2.7/site-packages/compose/network.pyc
/usr/lib/python2.7/site-packages/compose/network.pyo
/usr/lib/python2.7/site-packages/compose/parallel.py
/usr/lib/python2.7/site-packages/compose/parallel.pyc
/usr/lib/python2.7/site-packages/compose/parallel.pyo
/usr/lib/python2.7/site-packages/compose/progress_stream.py
/usr/lib/python2.7/site-packages/compose/progress_stream.pyc
/usr/lib/python2.7/site-packages/compose/progress_stream.pyo
/usr/lib/python2.7/site-packages/compose/project.py
/usr/lib/python2.7/site-packages/compose/project.pyc
/usr/lib/python2.7/site-packages/compose/project.pyo
/usr/lib/python2.7/site-packages/compose/service.py
/usr/lib/python2.7/site-packages/compose/service.pyc
/usr/lib/python2.7/site-packages/compose/service.pyo
/usr/lib/python2.7/site-packages/compose/state.py
/usr/lib/python2.7/site-packages/compose/state.pyc
/usr/lib/python2.7/site-packages/compose/state.pyo
/usr/lib/python2.7/site-packages/compose/timeparse.py
/usr/lib/python2.7/site-packages/compose/timeparse.pyc
/usr/lib/python2.7/site-packages/compose/timeparse.pyo
/usr/lib/python2.7/site-packages/compose/utils.py
/usr/lib/python2.7/site-packages/compose/utils.pyc
/usr/lib/python2.7/site-packages/compose/utils.pyo
/usr/lib/python2.7/site-packages/compose/volume.py
/usr/lib/python2.7/site-packages/compose/volume.pyc
/usr/lib/python2.7/site-packages/compose/volume.pyo
/usr/lib/python2.7/site-packages/compose/cli/__init__.py
/usr/lib/python2.7/site-packages/compose/cli/__init__.pyc
/usr/lib/python2.7/site-packages/compose/cli/__init__.pyo
/usr/lib/python2.7/site-packages/compose/cli/colors.py
/usr/lib/python2.7/site-packages/compose/cli/colors.pyc
/usr/lib/python2.7/site-packages/compose/cli/colors.pyo
/usr/lib/python2.7/site-packages/compose/cli/command.py
/usr/lib/python2.7/site-packages/compose/cli/command.pyc
/usr/lib/python2.7/site-packages/compose/cli/command.pyo
/usr/lib/python2.7/site-packages/compose/cli/docker_client.py
/usr/lib/python2.7/site-packages/compose/cli/docker_client.pyc
/usr/lib/python2.7/site-packages/compose/cli/docker_client.pyo
/usr/lib/python2.7/site-packages/compose/cli/docopt_command.py
/usr/lib/python2.7/site-packages/compose/cli/docopt_command.pyc
/usr/lib/python2.7/site-packages/compose/cli/docopt_command.pyo
/usr/lib/python2.7/site-packages/compose/cli/errors.py
/usr/lib/python2.7/site-packages/compose/cli/errors.pyc
/usr/lib/python2.7/site-packages/compose/cli/errors.pyo
/usr/lib/python2.7/site-packages/compose/cli/formatter.py
/usr/lib/python2.7/site-packages/compose/cli/formatter.pyc
/usr/lib/python2.7/site-packages/compose/cli/formatter.pyo
/usr/lib/python2.7/site-packages/compose/cli/log_printer.py
/usr/lib/python2.7/site-packages/compose/cli/log_printer.pyc
/usr/lib/python2.7/site-packages/compose/cli/log_printer.pyo
/usr/lib/python2.7/site-packages/compose/cli/main.py
/usr/lib/python2.7/site-packages/compose/cli/main.pyc
/usr/lib/python2.7/site-packages/compose/cli/main.pyo
/usr/lib/python2.7/site-packages/compose/cli/signals.py
/usr/lib/python2.7/site-packages/compose/cli/signals.pyc
/usr/lib/python2.7/site-packages/compose/cli/signals.pyo
/usr/lib/python2.7/site-packages/compose/cli/utils.py
/usr/lib/python2.7/site-packages/compose/cli/utils.pyc
/usr/lib/python2.7/site-packages/compose/cli/utils.pyo
/usr/lib/python2.7/site-packages/compose/cli/verbose_proxy.py
/usr/lib/python2.7/site-packages/compose/cli/verbose_proxy.pyc
/usr/lib/python2.7/site-packages/compose/cli/verbose_proxy.pyo
/usr/lib/python2.7/site-packages/compose/config/__init__.py
/usr/lib/python2.7/site-packages/compose/config/__init__.pyc
/usr/lib/python2.7/site-packages/compose/config/__init__.pyo
/usr/lib/python2.7/site-packages/compose/config/config.py
/usr/lib/python2.7/site-packages/compose/config/config.pyc
/usr/lib/python2.7/site-packages/compose/config/config.pyo
/usr/lib/python2.7/site-packages/compose/config/config_schema_v1.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v2.0.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v2.1.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v2.2.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v3.0.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v3.1.json
/usr/lib/python2.7/site-packages/compose/config/config_schema_v3.2.json
/usr/lib/python2.7/site-packages/compose/config/environment.py
/usr/lib/python2.7/site-packages/compose/config/environment.pyc
/usr/lib/python2.7/site-packages/compose/config/environment.pyo
/usr/lib/python2.7/site-packages/compose/config/errors.py
/usr/lib/python2.7/site-packages/compose/config/errors.pyc
/usr/lib/python2.7/site-packages/compose/config/errors.pyo
/usr/lib/python2.7/site-packages/compose/config/interpolation.py
/usr/lib/python2.7/site-packages/compose/config/interpolation.pyc
/usr/lib/python2.7/site-packages/compose/config/interpolation.pyo
/usr/lib/python2.7/site-packages/compose/config/serialize.py
/usr/lib/python2.7/site-packages/compose/config/serialize.pyc
/usr/lib/python2.7/site-packages/compose/config/serialize.pyo
/usr/lib/python2.7/site-packages/compose/config/sort_services.py
/usr/lib/python2.7/site-packages/compose/config/sort_services.pyc
/usr/lib/python2.7/site-packages/compose/config/sort_services.pyo
/usr/lib/python2.7/site-packages/compose/config/types.py
/usr/lib/python2.7/site-packages/compose/config/types.pyc
/usr/lib/python2.7/site-packages/compose/config/types.pyo
/usr/lib/python2.7/site-packages/compose/config/validation.py
/usr/lib/python2.7/site-packages/compose/config/validation.pyc
/usr/lib/python2.7/site-packages/compose/config/validation.pyo
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/docker_compose-1.13.0-py2.7.egg-info/top_level.txt
/usr/share/doc/docker-compose/CHANGES.md
/usr/share/doc/docker-compose/CONTRIBUTING.md
/usr/share/doc/docker-compose/README.md
/usr/share/doc/docker-compose/SWARM.md
/usr/share/licenses/docker-compose/LICENSE

Changelog

2017-06-02 - bcornec <bcornec> 1.13.0-2.mga6
+ Revision: 1105763
- Change dependency from python-docker-py to the new python-docker replacing it
2017-05-11 - bcornec <bcornec> 1.13.0-1.mga6
+ Revision: 1100154
- update to upstream 0.13.0 docker-compose
2016-11-24 - bcornec <bcornec> 1.9.0-1.mga6
+ Revision: 1069586
- update to upstream docker-compose 1.9.0
- Upate to upstream 1.9.0
2016-05-23 - bcornec <bcornec> 1.7.1-3.mga6
+ Revision: 1018026
- Remove inexistant tests
- docker isn't restricted to x86_64 so is this one as well
2016-05-23 - bcornec <bcornec> 1.7.1-2.mga6
+ Revision: 1017979
- docker-compose is only available on x86_64 as docker
- Fix group
- import docker-compose, based on a Fedora spec file
- Created package structure for docker-compose.

See Also

Package Description
docker-containerd-0.2.8-1.mga6.x86_64.rpm A daemon to control runC
docker-devel-17.03.1-4.mga6.x86_64.rpm A golang registry for global request variables (source libraries)
docker-fish-completion-17.03.1-4.mga6.x86_64.rpm fish completion files for Docker
docker-logrotate-17.03.1-4.mga6.x86_64.rpm cron job to run logrotate on Docker containers
docker-machine-0.11.0-1.mga6.x86_64.rpm Machine management for a container-centric world
docker-registry-2.5.1-1.mga6.x86_64.rpm Registry server for Docker
docker-unit-test-17.03.1-4.mga6.x86_64.rpm cron job to run logrotate on Docker containers - for running unit tests
docker-vim-17.03.1-4.mga6.x86_64.rpm vim syntax highlighting files for Docker
docker-zsh-completion-17.03.1-4.mga6.x86_64.rpm zsh completion files for Docker
docky-2.2.1.1-1.mga6.x86_64.rpm Advanced shortcut bar written in Mono
docky-devel-2.2.1.1-1.mga6.x86_64.rpm Development files for docky
dogecoin-qt-1.8.3-8.mga6.x86_64.rpm Dogecoin graphical Qt client
dogecoind-1.8.3-8.mga6.x86_64.rpm Dogecoin command line client
dojo-1.8.1-6.mga6.noarch.rpm Modular JavaScript toolkit
dokuwiki-20170219-4.mga6.noarch.rpm A wiki with plain text files backend
Advertisement
Advertisement